import { async, ComponentFixture, TestBed } from '@angular/core/testing';

import { DocumentationDatabaseComponent } from './documentation-database.component';
import {Component, Input} from '@angular/core';
import {RbCustomInputsModule} from '../rb-custom-inputs/rb-custom-inputs.module';

// TODO

@Component({selector: 'app-img-magnifier', template: ''})
class ImgMagnifierStubComponent {
  @Input() magnifierSize: {width: number, height: number};
}

describe('DocumentationDatabaseComponent', () => {
  let component: DocumentationDatabaseComponent;
  let fixture: ComponentFixture<DocumentationDatabaseComponent>;

  beforeEach(async(() => {
    TestBed.configureTestingModule({
      declarations: [
        DocumentationDatabaseComponent,
        ImgMagnifierStubComponent
      ],
      imports: [
        RbCustomInputsModule
      ]
    })
    .compileComponents();
  }));

  beforeEach(() => {
    fixture = TestBed.createComponent(DocumentationDatabaseComponent);
    component = fixture.componentInstance;
    component.ngOnInit();
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
